<HTML>

<HEAD>
<TITLE>JFLA 2000</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 2000: relecture du papier 11</H1>

<P>Numero du papier: 11
<P>Titre du papier: Safe value I/O in Caml
<P>Auteurs: J. Furuse, P. Weis

<P>Nom du rapporteur: Marc Pouzet

<P>Confiance en la note: 2

<P>Notation du papier: 4

<P>Commentaires aux auteurs:<P>
  Il s'agit d'un article pre'sentant une me'thode permettant
  d'effectuer des entre'es/sorties de valeurs Caml vers des fichiers
  tout en conservant la se'curite' du typage. Pour cela, les auteurs
  proposent de stocker les valeurs avec une repre'sentation
  simplifie'e (mais suffisante) de leur type et de voir les fonctions
  de lecture et d'e'criture comme des fonctions ge'ne'riques. Cette
  me'thode permet alors de lire une valeur stocke'e dans un fichier
  sans avoir a` donner explicitement le type de la valeur lue:
  celle-ci est infe're'e automatiquement du contexte et le compilateur
  ve'rifie que le type infe're' est compatible avec le type stocke'
  avec la valeur.

  Cet article est inte'ressant et clair.

        
- Il me semble que l'argumentaire de la page 5 devrait e^tre discute' d'avantage. 

     "In O'Caml, the internal ...". 

  Si l'on conside`re que ces types ne sont pas 
  e'quivalents en Caml (puisque Caml fait le choix de l'e'quivalence par
  nom et pas celui de l'e'quivalence structurelle),
  pourquoi devrait-on rendre ces deux types e'quivalents de`s
  lors que les valeurs passent par des fichiers ? Pourquoi donc avoir
  deux e'quivalences de types diffe'rentes ? Est-ce que votre choix ne
  justifie pas, a` terme, l'ajout d'une e'quivalence de type "plus
  structurelle" a` Caml ?

<P>Commentaires reserves au comite de programme:<P>
  Article inte'ressant. Quel dommage qu'il soit e'crit en anglais:
  doit-on demander une traduction aux auteurs ?

</BODY>
</HTML>

